package com.xkrs.model.qo;

import com.xkrs.model.validation.BusinessQoInsert;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/14 9:11
 */
public class BusinessQo {
    /**
     * 商户名称
     */
    @NotBlank(message = "{Business.businessName.null}",groups={BusinessQoInsert.class})
    private String businessName;

    /**
     * 省
     */
    @NotBlank(message = "{Business.businessPro.null}",groups={BusinessQoInsert.class})
    private String businessPro;

    /**
     * 市
     */
    @NotBlank(message = "{Business.businessCity.null}",groups={BusinessQoInsert.class})
    private String businessCity;

    /**
     * 区
     */
    @NotBlank(message = "{Business.businessCountry.null}",groups={BusinessQoInsert.class})
    private String businessCountry;

    /**
     * 详细地址
     */
    private String businessAddress;

    /**
     * 商家电话
     */
    @Pattern(regexp = "^(13[0-9]|14[0-9]|15[0-9]|16[0-9]|17[0-9]|18[0-9]|19[0-9])\\d{8}$", message = "{Business.businessPhone.null}",groups={BusinessQoInsert.class})
    private String businessPhone;

    /**
     * 商家折扣
     */
    @NotBlank(message = "{Business.businessDiscount.null}",groups={BusinessQoInsert.class})
    private Double businessDiscount;

    /**
     * 团长识别码
     */
    private String headIdentifier;

    /**
     * 商家图片
     */
    private String businessPhoto;

    /**
     * 营业执照
     */
    private String businessLicense;

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getBusinessPro() {
        return businessPro;
    }

    public void setBusinessPro(String businessPro) {
        this.businessPro = businessPro;
    }

    public String getBusinessCity() {
        return businessCity;
    }

    public void setBusinessCity(String businessCity) {
        this.businessCity = businessCity;
    }

    public String getBusinessCountry() {
        return businessCountry;
    }

    public void setBusinessCountry(String businessCountry) {
        this.businessCountry = businessCountry;
    }

    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }

    public String getBusinessPhone() {
        return businessPhone;
    }

    public void setBusinessPhone(String businessPhone) {
        this.businessPhone = businessPhone;
    }

    public Double getBusinessDiscount() {
        return businessDiscount;
    }

    public void setBusinessDiscount(Double businessDiscount) {
        this.businessDiscount = businessDiscount;
    }

    public String getHeadIdentifier() {
        return headIdentifier;
    }

    public void setHeadIdentifier(String headIdentifier) {
        this.headIdentifier = headIdentifier;
    }

    public String getBusinessPhoto() {
        return businessPhoto;
    }

    public void setBusinessPhoto(String businessPhoto) {
        this.businessPhoto = businessPhoto;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }
}
